Gecode::Gist::NodeVisitor< Cursor > Class Template Reference

Base class for a visitor that runs a cursor over a tree. More...

`#include <nodevisitor.hh>`

## Public Member Functions

| NodeVisitor (const Cursor &c0)
| Constructor.
void | setCursor (const Cursor &c0)
| Reset the cursor object to c0.
Cursor & | getCursor (void)
| Return the cursor.

## Protected Attributes

Cursor | c
| The cursor.

## Detailed Description

template<class Cursor>
class Gecode::Gist::NodeVisitor< Cursor >

Base class for a visitor that runs a cursor over a tree.

Definition at line 41 of file nodevisitor.hh.

## Constructor & Destructor Documentation

## NodeVisitor()

template<class Cursor>

Gecode::Gist::NodeVisitor< Cursor >::NodeVisitor | ( | const Cursor & | c0 | ) |

inline

Constructor.

Definition at line 38 of file nodevisitor.hpp.

## Member Function Documentation

## setCursor()

template<class Cursor>

void Gecode::Gist::NodeVisitor< Cursor >::setCursor | ( | const Cursor & | c0 | ) |

inline

Reset the cursor object to c0.

Definition at line 42 of file nodevisitor.hpp.

## getCursor()

template<class Cursor>

Cursor & Gecode::Gist::NodeVisitor< Cursor >::getCursor | ( | void |  | ) |

inline

Return the cursor.

Definition at line 46 of file nodevisitor.hpp.

## Member Data Documentation

## c

template<class Cursor>

Cursor Gecode::Gist::NodeVisitor< Cursor >::c

protected

The cursor.

Definition at line 44 of file nodevisitor.hh.

The documentation for this class was generated from the following files:

- gecode/gist/nodevisitor.hh
- gecode/gist/nodevisitor.hpp